Debian Bug report logs - #576445
sgml-base: Fails to purge

version graph

Package: sgml-base; Maintainer for sgml-base is Debian XML/SGML Group <debian-xml-sgml-pkgs@lists.alioth.debian.org>; Source for sgml-base is src:sgml-base.

Reported by: Kurt Roeckx <kurt@roeckx.be>

Date: Sun, 4 Apr 2010 18:33:02 UTC

Severity: serious

Tags: patch

Found in version sgml-base/1.26

Fixed in version sgml-base/1.26+nmu1

Done: Michael Banck <mbanck@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian XML/SGML Group <debian-xml-sgml-pkgs@lists.alioth.debian.org>:
Bug#576445; Package sgml-base. (Sun, 04 Apr 2010 18:33:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Kurt Roeckx <kurt@roeckx.be>:
New Bug report received and forwarded. Copy sent to Debian XML/SGML Group <debian-xml-sgml-pkgs@lists.alioth.debian.org>. (Sun, 04 Apr 2010 18:33:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Kurt Roeckx <kurt@roeckx.be>
To: submit@bugs.debian.org
Subject: sgml-base: Fails to purge
Date: Sun, 4 Apr 2010 19:21:09 +0200
Package: sgml-base
Version: 1.26
Severity: serious

Hi,

I got this in a build log:
Selecting previously deselected package sgml-base.
Unpacking sgml-base (from .../sgml-base_1.26_all.deb) ...
[...]
Unpacking libao2 (from .../libao2_0.8.8-5.1_i386.deb) ...
dpkg: error processing /var/cache/apt/archives/libao2_0.8.8-5.1_i386.deb (--unpack):
 trying to overwrite '/etc/libao.conf', which is also in package libao4 0:1.0.0-2
[...]
Errors were encountered while processing:
 /var/cache/apt/archives/libao2_0.8.8-5.1_i386.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)
apt-get failed.

(It didn't configure any package.)

And then during removal I get:
Removing sgml-base ...
Purging configuration files for sgml-base ...
rmdir: failed to remove `sgml': No such file or directory
dpkg: error processing sgml-base (--purge):
 subprocess installed post-removal script returned error exit status 1


Kurt





Information forwarded to debian-bugs-dist@lists.debian.org, Debian XML/SGML Group <debian-xml-sgml-pkgs@lists.alioth.debian.org>:
Bug#576445; Package sgml-base. (Mon, 12 Apr 2010 08:42:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Hideki Yamane <henrich@debian.or.jp>:
Extra info received and forwarded to list. Copy sent to Debian XML/SGML Group <debian-xml-sgml-pkgs@lists.alioth.debian.org>. (Mon, 12 Apr 2010 08:42:05 GMT) Full text and rfc822 format available.

Message #10 received at 576445@bugs.debian.org (full text, mbox):

From: Hideki Yamane <henrich@debian.or.jp>
To: 576445@bugs.debian.org
Subject: [patch]: sgml-base: Fails to purge
Date: Mon, 12 Apr 2010 17:39:07 +0900
Hi,

 sgml-base package creates files under /etc in its postinst script.
 When you got that error, postinst script didn't ran.


diff -urN sgml-base-1.99.0.orig/debian/changelog sgml-base-1.99.0+nmu1/debian/changelog
--- sgml-base-1.99.0.orig/debian/changelog      2009-07-12 23:51:43.000000000 +0900
+++ sgml-base-1.99.0+nmu1/debian/changelog      2010-04-12 16:00:40.817197425 +0900
@@ -1,3 +1,10 @@
+sgml-base (1.99.0+nmu1) experimental; urgency=low
+
+  * Non-maintainer upload.
+  * fix remove failure if postinst have not run yet (Closes: #576445)
+
+ -- Hideki Yamane (Debian-JP) <henrich@debian.or.jp>  Mon, 12 Apr 2010 16:00:38 +0900
+
 sgml-base (1.99.0) experimental; urgency=low

   * Makefile: Dropped build system. debian/rules and debhelper are enough.
diff -urN sgml-base-1.99.0.orig/debian/sgml-base.postrm sgml-base-1.99.0+nmu1/debian/sgml-base.postrm
--- sgml-base-1.99.0.orig/debian/sgml-base.postrm       2008-09-02 21:14:41.000000000 +0900
+++ sgml-base-1.99.0+nmu1/debian/sgml-base.postrm       2010-04-12 15:58:50.849195103 +0900
@@ -15,16 +15,11 @@
     rm -f /etc/sgml/catalog /etc/sgml/catalog.old

     ## ------------------------------------------------------------------
-    ## remove /etc/sgml
-    cd /etc
-    rmdir --ignore-fail-on-non-empty sgml
-    cd - >/dev/null
-
-    ## ------------------------------------------------------------------
-    ## remove /var/lib/sgml-base
-    cd /var/lib
-    rmdir --ignore-fail-on-non-empty sgml-base
-    cd - >/dev/null
+    ## remove /etc/sgml and /var/lib/sgml-base
+    for dir in /etc/sgml /var/lib/sgml-base
+    if [ -d $dir ]; then
+       rmdir --ignore-fail-on-non-empty $dir
+    fi

 fi




Added tag(s) patch. Request was from Hideki Yamane <henrich@debian.or.jp> to control@bugs.debian.org. (Mon, 12 Apr 2010 09:45:04 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian XML/SGML Group <debian-xml-sgml-pkgs@lists.alioth.debian.org>:
Bug#576445; Package sgml-base. (Fri, 16 Jul 2010 20:39:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Banck <mbanck@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian XML/SGML Group <debian-xml-sgml-pkgs@lists.alioth.debian.org>. (Fri, 16 Jul 2010 20:39:06 GMT) Full text and rfc822 format available.

Message #17 received at 576445@bugs.debian.org (full text, mbox):

From: Michael Banck <mbanck@debian.org>
To: Hideki Yamane <henrich@debian.or.jp>
Cc: 576445@bugs.debian.org, 576445-submitter@bugs.debian.org
Subject: Re: [patch]: sgml-base: Fails to purge
Date: Fri, 16 Jul 2010 22:35:50 +0200
On Mon, Apr 12, 2010 at 05:39:07PM +0900, Hideki Yamane wrote:
> Hi,
> 
>  sgml-base package creates files under /etc in its postinst script.

AFAICT, sgml-base creates those in the preinst:

if [ "$1" = "install" -o "$1" = "upgrade" ]
then    

    ##
------------------------------------------------------------------
    ## create /var/lib/sgml-base
    if [ ! -d /var/lib/sgml-base ]
    then
        mkdir /var/lib/sgml-base 2>/dev/null
    fi  
        
    ##
------------------------------------------------------------------
    ## create /etc/sgml
    if [ ! -d /etc/sgml ]
    then    
        mkdir /etc/sgml 2>/dev/null
    fi      

If I just dpkg --unpack sgml-base*deb, and then purge it, I do not get
the reported error.  What am I missing?


Michael




Message sent on to Kurt Roeckx <kurt@roeckx.be>:
Bug#576445. (Fri, 16 Jul 2010 20:39:10 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian XML/SGML Group <debian-xml-sgml-pkgs@lists.alioth.debian.org>:
Bug#576445; Package sgml-base. (Sat, 17 Jul 2010 14:30:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Banck <mbanck@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian XML/SGML Group <debian-xml-sgml-pkgs@lists.alioth.debian.org>. (Sat, 17 Jul 2010 14:30:03 GMT) Full text and rfc822 format available.

Message #25 received at 576445@bugs.debian.org (full text, mbox):

From: Michael Banck <mbanck@debian.org>
To: Hideki Yamane <henrich@debian.or.jp>
Cc: 576445@bugs.debian.org, 576445-submitter@bugs.debian.org
Subject: Re: [patch]: sgml-base: Fails to purge
Date: Sat, 17 Jul 2010 16:27:52 +0200
[Message part 1 (text/plain, inline)]
Hi,

On Mon, Apr 12, 2010 at 05:39:07PM +0900, Hideki Yamane wrote:
> +    ## remove /etc/sgml and /var/lib/sgml-base
> +    for dir in /etc/sgml /var/lib/sgml-base
> +    if [ -d $dir ]; then
> +       rmdir --ignore-fail-on-non-empty $dir
> +    fi

This is not correct shell-code, you're missing the do ... done
statements.  I will upload the attached NMU from the current BSP by the
end of the weekend if no maintainer upload happens.


Michael
[interdiff (text/plain, attachment)]

Message sent on to Kurt Roeckx <kurt@roeckx.be>:
Bug#576445. (Sat, 17 Jul 2010 14:30:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian XML/SGML Group <debian-xml-sgml-pkgs@lists.alioth.debian.org>:
Bug#576445; Package sgml-base. (Sun, 18 Jul 2010 06:03:13 GMT) Full text and rfc822 format available.

Acknowledgement sent to Hideki Yamane <henrich@debian.or.jp>:
Extra info received and forwarded to list. Copy sent to Debian XML/SGML Group <debian-xml-sgml-pkgs@lists.alioth.debian.org>. (Sun, 18 Jul 2010 06:03:13 GMT) Full text and rfc822 format available.

Message #33 received at 576445@bugs.debian.org (full text, mbox):

From: Hideki Yamane <henrich@debian.or.jp>
To: Michael Banck <mbanck@debian.org>
Cc: 576445@bugs.debian.org
Subject: Re: [patch]: sgml-base: Fails to purge
Date: Sun, 18 Jul 2010 15:02:45 +0900
On Sat, 17 Jul 2010 16:27:52 +0200
Michael Banck <mbanck@debian.org> wrote:
> On Mon, Apr 12, 2010 at 05:39:07PM +0900, Hideki Yamane wrote:
> > +    ## remove /etc/sgml and /var/lib/sgml-base
> > +    for dir in /etc/sgml /var/lib/sgml-base
> > +    if [ -d $dir ]; then
> > +       rmdir --ignore-fail-on-non-empty $dir
> > +    fi
> 
> This is not correct shell-code, you're missing the do ... done
> statements.  I will upload the attached NMU from the current BSP by the
> end of the weekend if no maintainer upload happens.

 Oh, and thanks Michael, I'm happy to hear it'll be fixed with your patch :)


-- 
Regards,

 Hideki Yamane     henrich @ debian.or.jp/org
 http://wiki.debian.org/HidekiYamane




Information forwarded to debian-bugs-dist@lists.debian.org, Debian XML/SGML Group <debian-xml-sgml-pkgs@lists.alioth.debian.org>:
Bug#576445; Package sgml-base. (Sun, 18 Jul 2010 12:51:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Banck <mbanck@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian XML/SGML Group <debian-xml-sgml-pkgs@lists.alioth.debian.org>. (Sun, 18 Jul 2010 12:51:07 GMT) Full text and rfc822 format available.

Message #38 received at 576445@bugs.debian.org (full text, mbox):

From: Michael Banck <mbanck@debian.org>
To: 576445@bugs.debian.org
Subject: NMU interdiff (was: Re: [patch]: sgml-base: Fails to purge)
Date: Sun, 18 Jul 2010 14:46:59 +0200
[Message part 1 (text/plain, inline)]
Hi,

attached is the NMU interdiff; I had to also move debhelper from
Build-Depends-Indep to Build-Depends to fix a lintian error.
[sgml-base.interdiff (text/plain, attachment)]

Reply sent to Michael Banck <mbanck@debian.org>:
You have taken responsibility. (Sun, 18 Jul 2010 12:51:09 GMT) Full text and rfc822 format available.

Notification sent to Kurt Roeckx <kurt@roeckx.be>:
Bug acknowledged by developer. (Sun, 18 Jul 2010 12:51:09 GMT) Full text and rfc822 format available.

Message #43 received at 576445-close@bugs.debian.org (full text, mbox):

From: Michael Banck <mbanck@debian.org>
To: 576445-close@bugs.debian.org
Subject: Bug#576445: fixed in sgml-base 1.26+nmu1
Date: Sun, 18 Jul 2010 12:47:49 +0000
Source: sgml-base
Source-Version: 1.26+nmu1

We believe that the bug you reported is fixed in the latest version of
sgml-base, which is due to be installed in the Debian FTP archive:

sgml-base_1.26+nmu1.dsc
  to main/s/sgml-base/sgml-base_1.26+nmu1.dsc
sgml-base_1.26+nmu1.tar.gz
  to main/s/sgml-base/sgml-base_1.26+nmu1.tar.gz
sgml-base_1.26+nmu1_all.deb
  to main/s/sgml-base/sgml-base_1.26+nmu1_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 576445@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Michael Banck <mbanck@debian.org> (supplier of updated sgml-base package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: RIPEMD160

Format: 1.8
Date: Sat, 17 Jul 2010 16:27:02 +0200
Source: sgml-base
Binary: sgml-base
Architecture: source all
Version: 1.26+nmu1
Distribution: unstable
Urgency: low
Maintainer: Debian XML/SGML Group <debian-xml-sgml-pkgs@lists.alioth.debian.org>
Changed-By: Michael Banck <mbanck@debian.org>
Description: 
 sgml-base  - SGML infrastructure and SGML catalog file support
Closes: 576445
Changes: 
 sgml-base (1.26+nmu1) unstable; urgency=low
 .
   * Non-maintainer upload
   * Applied patch from Hideki Yamane adding a check whether directories exist
     before removing them on purge
     (closes: Bug#576445)
   * Moved debhelper from Build-Depends-Indep to Build-Depends as it is used in
     the clean target, as per Policy section 7.7.
Checksums-Sha1: 
 2efe84fde50b02a0ade32dfd52b6260e27e97482 803 sgml-base_1.26+nmu1.dsc
 a77cca2a1be3dcb41f366139b99ea7605affbd40 10304 sgml-base_1.26+nmu1.tar.gz
 2a5064c1b906d0e543423f2b2ff4703a37e40d0b 11904 sgml-base_1.26+nmu1_all.deb
Checksums-Sha256: 
 9ba12ffe031e5a8b9cd2c14d98df875945e180f7914b1f4f10793d77163832d0 803 sgml-base_1.26+nmu1.dsc
 dd3d59bfac43a6ab56690ef177969468529d1f2214bbe774ab5fb3cdc227ddd9 10304 sgml-base_1.26+nmu1.tar.gz
 b03ca8a48a9b2e8e422848c547addc84bcd00c66a3d89ec42b26c97b949d031e 11904 sgml-base_1.26+nmu1_all.deb
Files: 
 20c5880fbbe8f04570e66c13862a6821 803 text optional sgml-base_1.26+nmu1.dsc
 287d828b0fe71276c6aeb7d68ea5b467 10304 text optional sgml-base_1.26+nmu1.tar.gz
 10e91c863e586daa391307123e95b41a 11904 text optional sgml-base_1.26+nmu1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iD8DBQFMQvc0mHaJYZ7RAb8RA+ffAJ9xuR4WhfuGLMHOXUaibUykyqhEkACfZbUa
QBi1bc06YtPLN3yGuUrywAI=
=qtdG
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 07 Mar 2011 08:58:54 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 06:41:02 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.